Subject: Re: [bitcoin-dev] [RFC] Lightning invoice/payment format draft

From: Andreas Schildbach <[email-masked]>
Date: Thu, 1 Jun 2017 07:54:37 +0200

In order for such messages to be dispatchable between apps, I suggest
prepending with an URI scheme, similar to the already existing
"bitcoin:" scheme.

Also I suggest defining a MIME type, e.g. for usage in NFC NDEF messages
or emails.

What is the relation of this BIP to BIP21 and BIP70-72? Is there a
reason for not extending BIP70?

On 06/01/2017 03:28 AM, Rusty Russell via bitcoin-dev wrote:
> Hi all,
> 
>         There's a pull request for a lightning payment format which I'd
> love wider review on.  It's bech32 encoded, with optional parts tagged:
> 
>         https://github.com/lightningnetwork/lightning-rfc/pull/183
> 
> There's an implementation with a less formal description here, too:
> 
>         https://github.com/rustyrussell/lightning-payencode
> 
> Example:
>         Send 2500 microbitcoin using payment hash 00010203040506...0102 to me
>         @03e7156ae33b0a208d0744199163177e909e80176e55d97a2f221ede0f934dd9ad
>         within 1 minute from now (Tue 30 May 12:17:36 UTC 2017):
> 
>         lnbc2500u1qpvj6chqqqqsyqcyq5rqwzqfqqqsyqcyq5rqwzqfqqqsyqcyq5rqwzqfqypqdq5xysxxatsyp3k7enxv4jsxqz8slk6hqew9z5kzxyk33ast248j3ykmu3wncvgtgk0ewf5c6qnhen45vr43fmtzsh02j6ns096tcpfga0yfykc79e5uw3gh5ltr96q00zqppy6lfy
> 
> Thanks!
> Rusty.
>